Loading...
Searching...
No Matches
portsmodel::PortFuse Interface Reference

Interface describing a controllable fuse for a device port. More...

`import "PortFuse.idl";`

## Classes

struct | StatusChangedEvent
| Event: The state of the fuse has changed. More...

## Public Types

enum | Status { UNKNOWN , TRIPPED , GOOD }
| Status type for port fuse. More...

## Public Member Functions

Status | getStatus ()
| Get the current status of the fuse.
void | reset ()
| Attempt a fuse reset.
int | getTripCount ()
| Get the trip count of the fuse (since last reboot)

## Detailed Description

Interface describing a controllable fuse for a device port.

Definition at line 17 of file PortFuse.idl.

## Member Enumeration Documentation

## Status

enum portsmodel::PortFuse::Status

Status type for port fuse.

Enumerator
UNKNOWN | Status can't be determined.
TRIPPED | Fuse is open (tripped)
GOOD | Fuse is closed (good)

Definition at line 19 of file PortFuse.idl.

## Member Function Documentation

## getStatus()

Status portsmodel::PortFuse::getStatus | ( |  | ) |

Get the current status of the fuse.

Returns
  Current fuse status

## getTripCount()

int portsmodel::PortFuse::getTripCount | ( |  | ) |

Get the trip count of the fuse (since last reboot)

Returns
  Current fuse trip count

## reset()

void portsmodel::PortFuse::reset | ( |  | ) |

Attempt a fuse reset.

Tries to recover the fuse from tripped state. When calling this after correcting the previous short circuit condition, the fuse should transition into 'good' state again. If the short circuit condition is still present, this operation is a no-op.

The documentation for this interface was generated from the following file:

- PortFuse.idl